#include "pimenubarmac.h"
#include "pippmenubar.h"
#include <LMenuBar.h>

PIMenubarMac::PIMenubarMac(PIApplicationGen* par, char* nom)
:PIMenubarGen(par, nom)
{
	new PIPPMenuBar();
}

PIMenubarMac::~PIMenubarMac()
{}

void
PIMenubarMac::AppendMenu(PIPDMenu *pdm)
{
  LMenuBar::GetCurrentMenuBar()->InstallMenu(pdm->macMenu, InstallMenu_AtEnd);
}